#ifndef PREPROCESSORPLUGIN_H
#define PREPROCESSORPLUGIN_H

#include <interfaces/iplugin.h>

#include <QVariantList>

class KAction;

using namespace KDevelop;

namespace KDevelop
{
		class Declaration;
		class DUContext;
		class ClassDeclaration ;
		class ClassMemberDeclaration ;
}

class PreprocessorPlugin : public KDevelop::IPlugin
{
		Q_OBJECT
		public:
				PreprocessorPlugin (QObject *parent, const QVariantList & = QVariantList());
				~PreprocessorPlugin();
		private slots:
				void preprocess();
				void preprocessWithIncludes();
		private:
				KAction *m_actionPreprocess, *m_actionPreprocessWithIncludes;
};

#endif
